html body {
  padding: 0;
  margin: 0;
}

body {
  --img-bottom: 30px;
  position: relative;
  scroll-behavior: smooth;
  overflow: hidden;
  -webkit-text-size-adjust: 100% !important;
  text-size-adjust: 100% !important;
  -moz-text-size-adjust: 100% !important;
}

.content {
  padding: 20px 20px 30px 20px;
  position: relative;
}

.start-page {
  position: fixed;
  background-color: #ffffff;
  top: 0;
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  z-index: 1005;
}

.top {
  height: 55%;
  display: flex;
  z-index: 20;
}

.top1,
.top2,
.top3 {
  height: 100%;
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/top.jpg);
  background-repeat: no-repeat;
  box-shadow: 0px -2px 0 rgba(75, 69, 69, 0.8) inset;
  background-size: calc(400%) calc(111% * 1.12);
}
.top1 {
  width: 25%;
  height: 90%;
  border-bottom-left-radius: 100% 15%;
  background-position: 0 0;
}
.top2 {
  width: 50%;
  border-bottom-left-radius: 50% 10%;
  border-bottom-right-radius: 50% 10%;
  background-size: calc(200%) calc(100% * 1.12);
  background-position: 50% 0;
}
.top3 {
  width: 25%;
  height: 90%;
  border-bottom-right-radius: 100% 15%;
  background-position: 100% 0;
}
.bottom {
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  height: 75%;
  width: 100%;
  background-color: #de7897;
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/de748ff5475038ea363f7eed896cc879.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  border-top-left-radius: 50% 25%;
  border-top-right-radius: 50% 25%;
  box-shadow: 0px -2px 0 rgba(75, 69, 69, 0.8);
  color: #5a1111;
  font-family: "Ma Shan Zheng";
}

.pic-center {
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/xi.png);
  background-repeat: no-repeat;
  background-size: 100%;
  height: 50px;
  width: 50px;
}

.start-page-title {
  font-size: 40px;
  padding: 20px 0;
}
.start-page-name {
  font-size: 26px;
  height: 80px;
  margin-top: 25px;
}

.left-name,
.right-name {
  width: 100px;
  font-size: 26px;
  padding: 0 30px;
}

.left-name {
  text-align: right;
}
.right-name {
  text-align: left;
}
.start-page-time {
  height: 50px;
  padding: 10px 0;
}

.in-btn {
  width: 40%;
  font-size: 26px;
  text-align: center;
  margin-top: 50px;
  border-radius: 30px;
  border: 2px solid #5a1111;
  padding: 5px;
}

.container {
  margin-top: 20px;
  padding: 20px;
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/bg.jpg);
  background-repeat: repeat-y;
  background-size: cover;
  border-radius: 15px;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.head-title {
  text-align: center;
  font-size: 25px;
  font-weight: bold;
}

.sub-title {
  display: flex;
  flex-direction: row;
  gap: 10px;
  font-size: 16px;
  font-weight: 300;
  padding-top: 20px;
}

.secondary-title {
  font-family: "ZCOOL KuaiLe", sans-serif;
  color: #de0b0b;
  text-align: center;
  align-items: start;
  font-weight: bold;
  font-size: 26px;
  margin-bottom: 20px;
}

.thrid-title {
  font-family: "Ma Shan Zheng", sans-serif;
  color: #000;
  text-align: center;
  align-items: start;
  font-size: 20px;
  margin-bottom: 20px;
}

.text-container {
  margin-bottom: 20px;
  line-height: 30px;
  font-size: 18px;
  font-weight: 500;
  font-family: "Ma Shan Zheng", sans-serif;
  font-style: normal;
}

.text-container-story {
  color: rgba(0, 0, 0, 0.6);
}

.flex-grow {
  flex-grow: 1;
}

.flex {
  display: flex;
}

.flex-column {
  flex-direction: column;
}

.flex-row {
  flex-direction: row;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.gap-2 {
  gap: 8px;
}

.grid {
  display: grid;
}

.avatar {
  width: 130px;
  max-width: 150px;
  height: 130px;
  max-height: 150px;
  border-radius: 50%;
}

.min {
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/young-min.jpg);
  background-position: -110px -140px;
  background-size: 350px 466px;
  background-repeat: no-repeat;
}

.rzh {
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/young-rzh.jpg);
  background-position: -15px -60px;
  background-size: 160px 355px;
  background-repeat: no-repeat;
}

.tag {
  width: 80px;
  height: 80px;
}

.end {
  text-align: center;
  font-weight: 400;
  font-size: 32px;
}

.remark-text {
  line-height: 30px;
  font-family: "Ma Shan Zheng", cursive;
}

.map {
  height: 300px;
  border-radius: 10px 10px 10px 10px;
  border: 2px solid #494949;
  margin-bottom: 60px;
}

.sign {
  font-family: "Ma Shan Zheng", cursive;
  padding: 20px 0;
  font-size: 18px;
  color: #9b0000;
}

.signl {
  font-size: 40px;
  border-top: 4px solid #af0202;
  border-left: 4px solid #af0202;
  width: 10px;
  height: 30px;
}

.love-color {
  color: #af0202;
}

.love {
  font-size: 88px;
  height: 88px;
  line-height: 88px;
}

.love-bottom {
  margin-left: 12px;
  font-weight: bold;
}

.rotate-text {
  margin-top: 12px;
  writing-mode: vertical-rl;
  font-size: 15px;
}

.calendar {
  color: #af0202;
  padding: 30px 35px;
}

.calendar-header {
  display: flex;
  align-items: end;
  justify-content: space-between;
  font-size: 20px;
}

table {
  border-collapse: collapse;
}

td {
  text-align: center;
  height: 35px;
}

thead:first-child {
  border-bottom: 3px solid #af0202;
}

.wedding-date {
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/love.svg);
  background-repeat: no-repeat;
  background-size: contain;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.music-mini {
  position: fixed;
  background: rgba(255, 255, 255, 0.5);
  border-radius: 50%;
  right: 5px;
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/music-mini.png);
  height: 30px;
  width: 30px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  z-index: 200;
}

.music {
  display: flex;
  background: rgba(255, 255, 255, 0.1);
  padding: 20px 30px;
  box-shadow: #d3d3d3 0px 0px 5px;
  border-radius: 20px;
  margin-bottom: 40px;
}

.music-container {
  position: relative;
  margin-right: 20px;
}

.music-bg {
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/music-bg.jpg);
  background-repeat: no-repeat;
  background-size: 140% 140%;
  background-position: center;
  width: 130px;
  height: 130px;
  border-radius: 50%;
  border: 3px solid rgba(185, 181, 181, 0.8);
}

.music-fm {
  background-image: url(https://images-rzh.oss-cn-chengdu.aliyuncs.com/web/assets/music.jpg);
  background-repeat: no-repeat;
  background-size: 160% 100%;
  background-position: center;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  border: 3px solid #af0202;
}

.music-singer {
  font-size: 16px;
  color: rgba(0, 0, 0, 0.5);
}

.music-song {
  font-size: 18px;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
    transform-origin: 50% 50% 0;
  }
  50% {
    transform: rotate(180deg);
    transform-origin: 50% 50% 0;
  }
  100% {
    transform: rotate(360deg);
    transform-origin: 50% 50% 0;
  }
}

.rotate-360 {
  animation: rotate 10s linear infinite;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  justify-content: space-between;
}

.form-row {
  display: flex;
  flex-direction: row;
  gap: 5px;
}

.label {
  width: 40%;
  display: flex;
  justify-content: center;
  align-items: center;
  white-space: inherit;
}

.input {
  border: 1px #bbbbbb solid;
  background-color: rgba(255, 232, 238, 0.5);
  border-radius: 10px;
  height: 30px;
  padding: 0 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.input:focus {
  background-color: rgba(248, 192, 205, 0.4);
  border: 1px rgba(248, 192, 205, 1) solid !important;
  line-height: 30px;
  outline: none;
}

.form-btn {
  color: #ffffff;
  margin-top: 30px;
  border: 1px #ececec solid;
  background-color: rgba(255, 87, 87, 0.783);
  height: 30px;
  width: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 16px;
}

.form-btn:active {
  background-color: rgba(255, 255, 255, 0.5);
}

.message-box {
  position: fixed;
  top: 0;
  height: 100vh;
  width: 100%;
  display: none;
  flex-direction: column;
  overflow: hidden;
  z-index: 9999;
  background-color: rgba(0, 0, 0, 0.3);
  justify-content: center;
  align-items: center;
}

.message-box-content {
  width: 50%;
  height: 80px;
  background-color: rgb(255, 255, 255);
  border-radius: 30px;
  padding: 10px;
  text-align: center;
  font-family: "Ma Shan Zheng", cursive;
}

.justify-between {
  display: flex;
  justify-content: space-between;
}

.center-left {
  display: flex;
  flex-direction: column;
  align-items: left;
  justify-content: center;
}

.center-right {
  display: flex;
  flex-direction: column;
  align-items: right;
  justify-content: center;
}

.process {
  position: absolute;
  width: 4px;
  height: 190px;
  top: 0px;
  left: 10%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.process-line {
  width: 50%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
}
